︠317a6fb0-a666-48c5-9f90-9bfc6f6421c0i︠
%md
Ici je cherche à estimer $a0$,$\gamma$ et $\sigma$. Auparavant on n'estimait pas sigma et du coup on était linéaire.
︡ad1d9519-9174-49fa-9bf9-9107558df037︡{"done":true,"md":"Ici je cherche à estimer $a0$,$\\gamma$ et $\\sigma$. Auparavant on n'estimait pas sigma et du coup on était linéaire."}
︠bae810f8-bc6f-4cdc-a739-5e8fe9b1b9dds︠
# Variables symbolique
x,y,sigma = var("x,y,sigma")
xn,yn=var("x_n,y_n")
Yn=var("Y_n")
G,a0,gamma,R=var("G_n a_0 gamma R")

yb=function("yb",nargs=2,latex_name="\overline{Y_n}")
# Fonction likelihood
def L(yb):
    return -log(sqrt(2*pi)*sigma)-(1/2)*((Yn-yb(x,y))/sigma)**2

# Fonction Jacobienne
def j(expr,sym):
    return [expr.diff(i) for i in sym]

J= j(L(yb),[x,y,sigma])



︡d98b445c-0dee-40b3-bdd2-94eb0d4c35dc︡{"done":true}
︠f8f72085-6af8-49f3-bac6-353f185c0dc5︠

︡e46ad6e3-aec9-4054-8ccd-5e6144b69942︡
︠4435d107-2c6f-49a6-b6d9-375427b25ae2i︠
%md
La jacobienne du log likelihood sans connaitre la fonction $\overline{Y_n}(x,y)$ et en dérivant par rapport à $x$,$y$ et $\sigma$:
︡0c298b73-66aa-4591-8182-27c5baa37deb︡{"done":true,"md":"La jacobienne du log likelihood sans connaitre la fonction $\\overline{Y_n}(x,y)$ et en dérivant par rapport à $x$,$y$ et $\\sigma$:"}
︠5a9e1b78-278e-488f-b295-e0afbb1332fbs︠
show(J)

︡c7fcec62-6a95-4e3c-90de-5ee46de8470c︡{"html":"<div align='center'>[$\\displaystyle \\frac{{\\left(Y_{n} - \\overline{Y_n}\\left(x, y\\right)\\right)} \\frac{\\partial}{\\partial x}\\overline{Y_n}\\left(x, y\\right)}{\\sigma^{2}}$, $\\displaystyle \\frac{{\\left(Y_{n} - \\overline{Y_n}\\left(x, y\\right)\\right)} \\frac{\\partial}{\\partial y}\\overline{Y_n}\\left(x, y\\right)}{\\sigma^{2}}$, $\\displaystyle \\frac{{\\left(Y_{n} - \\overline{Y_n}\\left(x, y\\right)\\right)}^{2}}{\\sigma^{3}} - \\frac{1}{\\sigma}$]</div>"}︡{"done":true}︡
︠027fe04a-f756-4f85-8cdb-fe398c199aafi︠
%md
La même en remplacant $\overline{Y_n}(x,y)$ par $G_n-a_0-10\gamma\log_{10}(d_n)-R$
︡ecacea74-9ce8-460d-939a-6ff4954d34bc︡{"done":true,"md":"La même en remplacant $\\overline{Y_n}(x,y)$ par $G_n-a_0-10\\gamma\\log_{10}(d_n)-R$"}
︠e51ecc29-a2fd-4166-ab92-8b3f574307bds︠
def yb(x,y):
    d = sqrt((x-xn)**2+(y-yn)**2)
    return G-a0-10*gamma*log(d,10)-R
J= j(L(yb),[x,y,sigma])
show(J)
︡e3094961-3ea3-4c7f-a5e3-ec3568920540︡{"html":"<div align='center'>[$\\displaystyle \\frac{10 \\, {\\left(G_{n} - R - Y_{n} - a_{0} - \\frac{10 \\, \\gamma \\log\\left(\\sqrt{{\\left(x - x_{n}\\right)}^{2} + {\\left(y - y_{n}\\right)}^{2}}\\right)}{\\log\\left(10\\right)}\\right)} \\gamma {\\left(x - x_{n}\\right)}}{{\\left({\\left(x - x_{n}\\right)}^{2} + {\\left(y - y_{n}\\right)}^{2}\\right)} \\sigma^{2} \\log\\left(10\\right)}$, $\\displaystyle \\frac{10 \\, {\\left(G_{n} - R - Y_{n} - a_{0} - \\frac{10 \\, \\gamma \\log\\left(\\sqrt{{\\left(x - x_{n}\\right)}^{2} + {\\left(y - y_{n}\\right)}^{2}}\\right)}{\\log\\left(10\\right)}\\right)} \\gamma {\\left(y - y_{n}\\right)}}{{\\left({\\left(x - x_{n}\\right)}^{2} + {\\left(y - y_{n}\\right)}^{2}\\right)} \\sigma^{2} \\log\\left(10\\right)}$, $\\displaystyle \\frac{{\\left(G_{n} - R - Y_{n} - a_{0} - \\frac{10 \\, \\gamma \\log\\left(\\sqrt{{\\left(x - x_{n}\\right)}^{2} + {\\left(y - y_{n}\\right)}^{2}}\\right)}{\\log\\left(10\\right)}\\right)}^{2}}{\\sigma^{3}} - \\frac{1}{\\sigma}$]</div>"}︡{"done":true}︡
︠5232771e-0fc7-426b-9562-b5d577967c2a︠









